﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media.Imaging;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;
using System.Windows.Data;

namespace Post
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void Map1_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.DecimalDegree;
            Map1.CurrentExtent = new RectangleShape(-130, 90, 130, -90);

            WorldMapKitWmsWpfOverlay worldMapKitOverlay = new WorldMapKitWmsWpfOverlay();
            Map1.Overlays.Add(worldMapKitOverlay);

            SimpleMarkerOverlay markerOverlay = new SimpleMarkerOverlay();
            Map1.Overlays.Add("MarkerOverlay", markerOverlay);

            Map1.Refresh();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            FeatureLayer layer = Map1.FindFeatureLayer("WorldLayer");
            layer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Red, GeoColor.FromArgb(100, GeoColor.SimpleColors.Green));

            Map1.Overlays["WorldOverlay"].Refresh();
        }

        private void Map1_MapClick(object sender, MapClickWpfMapEventArgs e)
        {
            if (e.MouseButton == MapMouseButton.Left)
            {
                SimpleMarkerOverlay markerOverlay = (SimpleMarkerOverlay)Map1.Overlays["MarkerOverlay"];
                Marker marker = new Marker(e.WorldLocation);
                marker.ImageSource = new BitmapImage(new Uri("/Resources/AQUA.png", UriKind.RelativeOrAbsolute));
                marker.Width = 20;
                marker.Height = 34;
                marker.YScreenOffset = -17;

                ContextMenu menu1 = (ContextMenu)FindResource("Ctx1");
                Binding binding = new Binding() { Source = menu1 };
                marker.SetBinding(Marker.ContextMenuProperty, binding);

                markerOverlay.Markers.Add(marker);
                markerOverlay.Refresh();
            }
        }
    }
}
